Subject: Re: video card for Lite5200

From: Clemens Koller <[email-masked]>
Date: Fri, 10 Dec 2004 11:34:47 +0100

Hello, Tony!

>>   I have successfully boot Linux 2.4.22 on my Lite5200 Evaluation Board with the ELDK. but when I want to use PCI slot for the video card,something goes wrong. The whole board loses supply of electricity. And i take the video card out ,the board is still ok. So i change to put RTL81390 network card into PCI slot. The same thing happen.
>>    The video card i have tried :
>>            S3 Trio64V
>>            Trident TGUI9680
>>            S3 ViRGE/DX

Don't use old (5V only) cards, the S3 drivers might be unmaintained for 
your platform, too. If you want to integrate video into your final
system, you might want to check out some embedded solutions.

>>   Then I ask the Freescale support, they tell me that these board can operate in 5V slot only, While the PCI slot on Lite5200 only offers 3.3V. These days though I search much information about vedio card. I still don't which card can fit Lite5200.And I knew that the new CoralP PCI video card can support Lite5200. Can I get it from market? Anyway I really worry about this, so I turn here and ask your help.and I really appreciate your help! thanks a lot! (There was something wrong with my mailbox,I could not receive the letters these days.So I post it again) 
>>               Best Regards,  
>>			   Tony Wang
>>　　　　　　　　[email-masked]
> 
> 
> first of all, you need to take care of the PCI cards you use. As the Freescale support and 
> also the manuals say: "Only 3.3V compliant PCI cards". In the meantime there are quite a lot
> of burned-out boards because of "wrong" cards.
> Next problem with the PCI bus on this board is, that because of some timing issues not all 
> cards will be detected, so it'll be hard to find a video card, that matches these requirements.
> The only card that I know, which seems to work AND is somehow supported is a CORAL-P evaluation 
> board from Fujitsu. But this one is rather expensive. 
> I tried also and old Nvidia Riva 128 card, which was detected correctly, but is not
> initialized correctly by the framebuffer driver.
 >
 > Regards,
 > Gerhard
 >

Yes, the Fujitsu Coral P should work also.
I use a Silicon Motion Inc. SM501 Voyager GX PCI Demo Board right now 
which is supposed to work with all the embedded systems. You can get
that board for about EUR 495.- in Germany.
I am currently working on the framebuffer drivers for the Voyager on 
PPC. Things seem to make good progress, here (there is an image on 
screen :-). There is also an Epson or Asilient solution for embedded 
systems, maybe you can check that also. YMMV

Best greets,

-- 
Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19